ISSPECIAL(3)

NAME
isspecial, isspecial_l - special character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isspecial(int c);
int
isspecial_l(int c, locale_t loc);

DESCRIPTION
The isspecial() and isspecial_l() functions test for a special character.

The isspecial_l() function takes an explicit locale argument, whereas the isspecial() function uses the current global or per-thread locale.

RETURN VALUES
The isspecial() and isspecial_l() functions return zero if the character tests false and return non-zero if the character tests true.

COMPATIBILITY
The 4.4BSD extension of accepting arguments outside of the range of the unsigned char type in locales with large character sets is considered obsolete and may not be supported in future releases. The iswspecial() or iswspecial_l() function should be used instead.

SEE ALSO
ctype(3), ctype_l(3), iswspecial(3), iswspecial_l(3), xlocale(3)

HISTORY
The isspecial() function appeared in 4.4BSD.